//=================================================
//This script was created by Gizmo's Uo Quest Maker
//This script was created on 5/9/2023 11:01:56 PM
//=================================================

using System;
using Server;

namespace Server.Items
{
	public class StaffofShadows : NoDachi
	{
		public override int ArtifactRarity{ get{ return 100; } }
		public override int InitMinHits{ get{ return 200; } }
		public override int InitMaxHits{ get{ return 250; } }

		[Constructable]
		public StaffofShadows()
		{
			Name = "Staff of Shadows";
			Hue = 2501;
			LootType = LootType.Blessed;
			Weight = 1;
			Attributes.WeaponDamage = 25;
			Attributes.SpellChanneling = 1;
			WeaponAttributes.SelfRepair = 1;
			WeaponAttributes.HitLeechHits = 25;
			WeaponAttributes.MageWeapon = 1;
		}

		public StaffofShadows( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}

	}
}
